Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package wxwidgets.ViewPort

## Classes
class | Viewport
class | ViewportManager
## Functions
def | Close
| self.accept("wheel_down", self.zoomOut) self.accept("wheel_up", self.zoomIn) self.accept("page_down", self.zoomOut) self.accept("page_down-repeat", self.zoomOut) self.accept("page_up", self.zoomIn) self.accept("page_up-repeat", self.zoomIn) self.accept("mouse3", self.onRightDown)
def | make
def | makeFront
def | makeLeft
def | makeOrthographic
def | makePerspective
def | makeTop
def | onRightDown
def | onSize
def | zoomIn
def | zoomOut
## Variables
list | __all__ = ["Viewport", "ViewportManager"]
int | CREATENEW = 99
| HORIZONTAL = wx.SPLIT_HORIZONTAL
| VERTICAL = wx.SPLIT_VERTICAL
int | VPFRONT = 11
int | VPLEFT = 10
int | VPPERSPECTIVE = 13
int | VPTOP = 12

## Detailed Description

    Contains classes useful for 3D viewports.

    Originally written by pro-rsoft,
    Modified by gjeon.
    Modified by Summer 2010 Carnegie Mellon University ETC PandaLE team: fixed a bug in Viewport.Close

## Function Documentation

def wxwidgets.ViewPort.Close | ( |  | self | ) |

self.accept("wheel_down", self.zoomOut) self.accept("wheel_up", self.zoomIn) self.accept("page_down", self.zoomOut) self.accept("page_down-repeat", self.zoomOut) self.accept("page_up", self.zoomIn) self.accept("page_up-repeat", self.zoomIn) self.accept("mouse3", self.onRightDown)

    Closes the viewport.

def wxwidgets.ViewPort.make | ( |  | parent,
|  |  | vpType = `None`
| ) |  |

    Safe constructor that also takes CREATENEW, VPLEFT, VPTOP, etc.

def wxwidgets.ViewPort.makeFront | ( |  | parent | ) |

def wxwidgets.ViewPort.makeLeft | ( |  | parent | ) |

def wxwidgets.ViewPort.makeOrthographic | ( |  | parent,
|  |  | name,
|  |  | campos
| ) |  |

def wxwidgets.ViewPort.makePerspective | ( |  | parent | ) |

def wxwidgets.ViewPort.makeTop | ( |  | parent | ) |

def wxwidgets.ViewPort.onRightDown | ( |  | self,
|  |  | evt = `None`
| ) |  |

    Invoked when the viewport is right-clicked.

def wxwidgets.ViewPort.onSize | ( |  | self,
|  |  | evt
| ) |  |

    Invoked when the viewport is resized.

def wxwidgets.ViewPort.zoomIn | ( |  | self | ) |

def wxwidgets.ViewPort.zoomOut | ( |  | self | ) |

## Variable Documentation

list __all__ = ["Viewport", "ViewportManager"]

int CREATENEW = 99

HORIZONTAL = wx.SPLIT_HORIZONTAL

VERTICAL = wx.SPLIT_VERTICAL

int VPFRONT = 11

int VPLEFT = 10

int VPPERSPECTIVE = 13

int VPTOP = 12

All Classes Namespaces Functions Variables Enumerations Enumerator Properties